aboutsummaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authorPatrick Georgi <pgeorgi@google.com>2015-04-22 10:14:13 +0200
committerPatrick Georgi <pgeorgi@google.com>2015-04-24 09:20:04 +0200
commitd555d5a2b5364d2eeb13e2ace00844c7b6321bb9 (patch)
tree661761a35d3c4e6de02eb1622b398e04b1088b66 /util
parent786879777a70cb82c94588e6d14c8fdd18ab4345 (diff)
downloadcoreboot-d555d5a2b5364d2eeb13e2ace00844c7b6321bb9.tar.gz
coreboot-d555d5a2b5364d2eeb13e2ace00844c7b6321bb9.tar.xz
coreboot-d555d5a2b5364d2eeb13e2ace00844c7b6321bb9.zip
board-status: Add field for release year
Add the option to add a release year to each mainboard to get a sense of how old the hardware is. Change-Id: Id43c80fdf8bf65241b2be92678616d1774529f8c Signed-off-by: Patrick Georgi <pgeorgi@google.com> Reviewed-on: http://review.coreboot.org/9945 Tested-by: build bot (Jenkins) Reviewed-by: Paul Menzel <paulepanter@users.sourceforge.net> Reviewed-by: Alexander Couzens <lynxis@fe80.eu>
Diffstat (limited to 'util')
-rwxr-xr-xutil/board_status/to-wiki/towiki.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/util/board_status/to-wiki/towiki.sh b/util/board_status/to-wiki/towiki.sh
index 3e80d44cb..fb15358de 100755
--- a/util/board_status/to-wiki/towiki.sh
+++ b/util/board_status/to-wiki/towiki.sh
@@ -176,6 +176,7 @@ EOF
vendor_cooperation_page="$(sed -n "/^[[:space:]]*Vendor cooperation page:/ s,^[[:space:]]*Vendor cooperation page:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
board_url="$(sed -n "/^[[:space:]]*Board URL:/ s,^[[:space:]]*Board URL:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
clone_of="$(sed -n "/^[[:space:]]*Clone of:/ s,^[[:space:]]*Clone of:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
+ release_year="$(sed -n "/^[[:space:]]*Release year:/ s,^[[:space:]]*Release year:[[:space:]]*,,p" "$vendor_board_dir/board_info.txt")"
else
vendor_2nd=
board_nice=
@@ -187,6 +188,7 @@ EOF
vendor_cooperation_page=
board_url=
clone_of=
+ release_year=
fi
if [ "$last_vendor" != "$vendor" ]; then
last_vendor="$vendor"
@@ -403,6 +405,10 @@ EOF
echo "| [[Board:$vendor/$board|$board_nice]]"
+ if ! [ -z "$release_year" ]; then
+ echo " (released $release_year)"
+ fi
+
if [ -z "$lastgood" ]; then
echo "| style=\"background:red\" | Unknown"
else